import React, { Suspense } from "react";
import ReactDOM from "react-dom";
import "./index.css";
import "./utils/i18n";
import App from "./components/App";
import { BrowserRouter as Router } from "react-router-dom";

ReactDOM.render(
  <Router basename={process.env.PUBLIC_URL || ""}>
    <Suspense fallback={<div>Loading...</div>}>
      <App />
    </Suspense>
  </Router>,
  document.getElementById("root")
);
